Subject: Re: [lojban] Tidying notes on {goi}

From: "Jorge Llambias" <[email-masked]>
Date: Sun, 29 Jul 2001 03:02:07

la pycyn cusku di'e

>I said I overused {goi}. Here what I have done is use {goi} like the
>mathematicians' "call it x" with a (still) bound variable. xy now has that
>value, the theory goes, even if the bound variable is deleted.

Yes, I agree with that and find it very nice and elegant.

But {da'o} clears the references of all pro-sumti, xy included.
My objection was to {da'o}, not to {da goi xy}.

> I realize now
>that there is another possibility for this, namesly that, as da varies, so
>does xy, but I find that less useful or likely even.

And I agree with you. xy does not vary if you re-use da. But xy
gets cleared by da'o independently of what happens to da.

>Of course, you don't
>believe in the selective power of quantifiers (I keep getting my two 
>teachers
>who fought this fight in the 70's confused, so I don't remember whose camp
>that puts you in), so you deny that the first step here is legitimate --
>handing off the value of the variable at the beginning.

You confuse me here. No selection is required to use xy as
an alternative to da. xy works everywhere you would use the bare
da within the scope of the original quantifier. Sticking a second
quantifier on xy would be incorrect from my point of view. Sticking
a second quantifier on da would recycle that variable as a new one,
but as a bonus you keep the poi-restriction of the original so you
don't have to repeat it.

>But mathematicians
>and logicians have been doing it for 2500 years at least. Still, it may 
>not
>be {goi}.

What is it that they've been doing? I don't have any problem at all
with {su'o da goi xy}. I like it.

mu'o mi'e xorxes

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp